# $Revision: 1.27 $, $Date: 2010/11/12 23:38:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Linux
%define		pnam	Pid
Summary:	Linux::Pid - get the native PID and the PPID on Linux
Summary(pl.UTF-8):	Linux::Pid - uzyskiwanie natywnych PID i PPID pod Linuksem
Name:		perl-Linux-Pid
Version:	0.04
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Linux/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	130c4d299f827abf1f2285fddf03fccb
URL:		http://search.cpan.org/dist/Linux-Pid/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Inline-C
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux::Pid gets the native PID and the PPID on Linux. It's useful with
multithreaded programs. Linux's C library returns different values of
the PID and the PPID from different threads. This module forces Perl
to call the underlying C functions getpid() and getppid().

%description -l pl.UTF-8
Linux::Pid odczytuje natywne PID i PPID pod Linuksem. Jest przydatny w
programach wielowątkowych. Linuksowa biblioteka C zwraca różne
wartości PID i PPID dla różnych wątków. Ten moduł zmusza Perla do
wywołania funkcji C getpid() i getppid().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Linux-Pid.spec,v $
Revision 1.27  2010/11/12 23:38:15  pawelz
- release 5

Revision 1.26  2010/06/06 08:38:35  arekm
- release 4

Revision 1.25  2009/03/14 11:50:28  hawk
- release 3

Revision 1.24  2008/02/10 12:13:38  arekm
- rel 2

Revision 1.23  2007-12-24 18:19:06  qboosh
- generic URL

Revision 1.22  2007-12-24 02:18:43  zbyniu
- up to 0.04

Revision 1.21  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 22:30:30  paladine
- formatting

Revision 1.18  2004/08/21 20:57:41  adamg
- updated to 0.03

Revision 1.17  2004/06/14 09:35:56  radek
- release 5: it's not noarch

Revision 1.16  2004/05/07 01:12:27  ankry
- rel. 4

Revision 1.15  2004/05/06 18:20:29  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.13  2004/04/22 15:01:18  ankry
- license fixes and unification

Revision 1.12  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.11  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/09 13:46:22  qboosh
- pl description, release 2

Revision 1.1  2002/09/26 11:22:00  radek
- new, STBR
